Package com.google.android.exoplayer2.upstream

## Interface ParsingLoadable.Parser<T>

- All Known Implementing Classes:
    `DashManifestParser`, `FilteringManifestParser`, `HlsPlaylistParser`, `SsManifestParser`
  Enclosing class:
    ParsingLoadable<T>

      public static interface ParsingLoadable.Parser<T>

  Parses an object from loaded data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `parse​(Uri uri, InputStream inputStream)` | Parses an object from a response.

- - ### Method Detail

    - #### parse

          T parse​(Uri uri,
                  InputStream inputStream)
           throws IOException

      Parses an object from a response.
      Parameters:
        `uri` - The source `Uri` of the response, after any redirection.
        `inputStream` - An `InputStream` from which the response data can be read.
      Returns:
        The parsed object.
      Throws:
        `ParserException` - If an error occurs parsing the data.
        `IOException` - If an error occurs reading data from the stream.